<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_rela.html"><span>Related&#160;Functions</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions_func.html#index_a"><span>a</span></a></li>
      <li><a href="functions_func_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_func_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_func_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_func_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_func_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_func_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_func_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_func_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_func_m.html#index_m"><span>m</span></a></li>
      <li class="current"><a href="functions_func_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_func_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_func_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_func_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_func_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_func_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_func_0x7e.html#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_func_o.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_o"></a>- o -</h3><ul>
<li>OAuth()
: <a class="el" href="class_o_auth.html#a5c3a460107cc60f0c0ab03bf90236ef9">OAuth</a>
</li>
<li>OAuthId()
: <a class="el" href="class_o_auth_id.html#ae17902b89c96549004d2098ddb81c167">OAuthId</a>
</li>
<li>open()
: <a class="el" href="class_gui.html#af4038252aa6f60569f70f5264f93be1d">Gui</a>
</li>
<li>openAboutDialog()
: <a class="el" href="class_user_dialog.html#ac6562b9d4472d5f91c1c97d49cf3cacf">UserDialog</a>
</li>
<li>openBookDetailsDialog()
: <a class="el" href="class_user_books_widget.html#a2056ae2f953de01d7121958ebbdf213a">UserBooksWidget</a>
</li>
<li>openHelpDialog()
: <a class="el" href="class_user_dialog.html#ab8488583c180d07fed7a4f7b258781e2">UserDialog</a>
</li>
<li>openUserEditorDialog()
: <a class="el" href="class_user_preferences_widget.html#a71734ad30671811645c2932717bd476c">UserPreferencesWidget</a>
</li>
<li>operator!=()
: <a class="el" href="class_book.html#a77903c7af788afd234d6cf3f64a02541">Book</a>
, <a class="el" href="class_o_auth_id.html#a7bf5d93c1825b78515519013b05c5062">OAuthId</a>
, <a class="el" href="class_person.html#ae4f47029402c26c3643d23ef04695bb1">Person</a>
, <a class="el" href="class_smart_pointer.html#a343dbf7081c30a90eb1e1f7212291d33">SmartPointer&lt; T &gt;</a>
, <a class="el" href="class_user.html#aed9ecdccccc81a597b3e2aac099a9a2f">User</a>
</li>
<li>operator*()
: <a class="el" href="class_smart_pointer.html#a15f5644df6d0bd40c91225eff75b6f8f">SmartPointer&lt; T &gt;</a>
</li>
<li>operator-&gt;()
: <a class="el" href="class_smart_pointer.html#aad35d616e03295f6ec614eb18679974f">SmartPointer&lt; T &gt;</a>
</li>
<li>operator=()
: <a class="el" href="class_admin.html#a4e451f158e0c497042b9d8391e23c829">Admin</a>
, <a class="el" href="class_book.html#a26a6c2ae89938f76269e2f93e7ee676f">Book</a>
, <a class="el" href="class_o_auth_id.html#ab3a93fd96aec89e320b442aeaf5e061d">OAuthId</a>
, <a class="el" href="class_person.html#ae046bc90711195d83799f81e096ad503">Person</a>
, <a class="el" href="class_smart_pointer.html#a0761009e7b8efa6a4d559190ab5c63b1">SmartPointer&lt; T &gt;</a>
, <a class="el" href="class_user.html#a2bedf75049198d6218bd77f6df897c99">User</a>
</li>
<li>operator==()
: <a class="el" href="class_book.html#ab08c02fc82b5c2f9b9a9bef03063598f">Book</a>
, <a class="el" href="class_item.html#a934a60e51bd80b2e1d3e0c3952a2fd2e">Item</a>
, <a class="el" href="class_o_auth_id.html#a67e1547b732f2d2e22c20a8e7171310e">OAuthId</a>
, <a class="el" href="class_person.html#a7c6a2bfb43c790bc8260933bd847a582">Person</a>
, <a class="el" href="class_smart_pointer.html#a2e65033a247a3bf1f0da6a509aefacad">SmartPointer&lt; T &gt;</a>
, <a class="el" href="class_user.html#a2e787f019ae942181d625c94290d5972">User</a>
</li>
<li>operator[]()
: <a class="el" href="class_database.html#ab71463e7202e9e13e6db713616d536c3">Database&lt; T &gt;</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
